Package org.jbpm.casemgmt.api.admin

## Class CaseMigrationReport

- java.lang.Object
- - org.jbpm.casemgmt.api.admin.CaseMigrationReport

-     public class CaseMigrationReport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseMigrationReport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReport​(MigrationReport report)` | Adds individual report to the list of reports
    `void` | `complete()` | Completes the migration and calculates the status.
    `Date` | `getEndDate()` | Timestamp representing end time of the migration
    `List<MigrationReport>` | `getReports()` | Returns all individual reports that corresponds to single process instance migrated as part of case instance migration
    `Date` | `getStartDate()` | Timestamp representing start time of the migration
    `boolean` | `isSuccessful()` | Indicates if the migration was successful or not
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseMigrationReport

          public CaseMigrationReport()

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

      Indicates if the migration was successful or not

    - #### getStartDate

          public Date getStartDate()

      Timestamp representing start time of the migration

    - #### getEndDate

          public Date getEndDate()

      Timestamp representing end time of the migration

    - #### getReports

          public List<MigrationReport> getReports()

      Returns all individual reports that corresponds to single process instance migrated as part of case instance migration

    - #### addReport

          public void addReport​(MigrationReport report)

      Adds individual report to the list of reports
      Parameters:
        `report` - - single process instance migration report

    - #### complete

          public void complete()

      Completes the migration and calculates the status.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`